Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Class Function.DataSourceBinding.Kind

    java.lang.Object
      com.bea.ld.metadata.Function.DataSourceBinding.Kind

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  Function.DataSourceBinding

    public static class Function.DataSourceBinding.Kind

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static Function.DataSourceBinding.Kind` | `CUSTOM_NATIVE_RELATIONAL_FUNCTION`
`static Function.DataSourceBinding.Kind` | `DELIMITED`
`static Function.DataSourceBinding.Kind` | `JAVA_FUNCTION`
`static Function.DataSourceBinding.Kind` | `RELATIONAL_TABLE`
`static Function.DataSourceBinding.Kind` | `SQL_QUERY`
`static Function.DataSourceBinding.Kind` | `STORED_PROCEDURE`
`static Function.DataSourceBinding.Kind[]` | `VALUES`
`static Function.DataSourceBinding.Kind` | `WEBSERVICE_CALL`
`static Function.DataSourceBinding.Kind` | `XML`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RELATIONAL_TABLE

    public static final Function.DataSourceBinding.Kind RELATIONAL_TABLE

### STORED_PROCEDURE

    public static final Function.DataSourceBinding.Kind STORED_PROCEDURE

### SQL_QUERY

    public static final Function.DataSourceBinding.Kind SQL_QUERY

### CUSTOM_NATIVE_RELATIONAL_FUNCTION

    public static final Function.DataSourceBinding.Kind CUSTOM_NATIVE_RELATIONAL_FUNCTION

### WEBSERVICE_CALL

    public static final Function.DataSourceBinding.Kind WEBSERVICE_CALL

### JAVA_FUNCTION

    public static final Function.DataSourceBinding.Kind JAVA_FUNCTION

### XML

    public static final Function.DataSourceBinding.Kind XML

### DELIMITED

    public static final Function.DataSourceBinding.Kind DELIMITED

### VALUES

    public static final Function.DataSourceBinding.Kind[] VALUES

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.